SalesOS.

Relationship Maps

Org chart and stakeholder mapping

Get relationship map statistics across all accounts

GET
/v1/relationship-maps/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/relationship-maps/stats" \
  -H "Authorization: Bearer <token>"

Relationship map statistics

Get account summaries for overview

GET
/v1/relationship-maps/accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/relationship-maps/accounts" \
  -H "Authorization: Bearer <token>"

Account summaries

Get relationship map for an account

GET
/v1/relationship-maps/{accountId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/relationship-maps/<string>" \
  -H "Authorization: Bearer <token>"

Account relationship map with nodes and edges

Generate/refresh relationship map for an account

POST
/v1/relationship-maps/{accountId}/generate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X POST "https://api.salesos.org/v1/relationship-maps/<string>/generate" \
  -H "Authorization: Bearer <token>"

Refreshed relationship map

Get relationship insights for an account

GET
/v1/relationship-maps/{accountId}/insights

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/relationship-maps/<string>/insights" \
  -H "Authorization: Bearer <token>"

Account relationship insights

Identify white-space opportunities in account contacts

GET
/v1/relationship-maps/{accountId}/white-space

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/relationship-maps/<string>/white-space" \
  -H "Authorization: Bearer <token>"

White-space analysis

Update a node in the relationship map

PATCH
/v1/relationship-maps/{accountId}/nodes/{nodeId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
nodeIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/relationship-maps/<string>/nodes/<string>" \
  -H "Authorization: Bearer <token>"

Node updated

Generate a relationship map from dto

POST
/v1/relationship-maps/generate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/relationship-maps/generate" \
  -H "Authorization: Bearer <token>"

Generated relationship map

Add an edge to the relationship map

POST
/v1/relationship-maps/{accountId}/edges

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X POST "https://api.salesos.org/v1/relationship-maps/<string>/edges" \
  -H "Authorization: Bearer <token>"

Edge added

Remove an edge from the relationship map

DELETE
/v1/relationship-maps/{accountId}/edges/{edgeId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
edgeIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/relationship-maps/<string>/edges/<string>" \
  -H "Authorization: Bearer <token>"

Edge removed

Refresh a relationship map

POST
/v1/relationship-maps/{accountId}/refresh

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X POST "https://api.salesos.org/v1/relationship-maps/<string>/refresh" \
  -H "Authorization: Bearer <token>"

Refreshed map